target.database.document
Prev | Linking | Next

## target.database.document

target.database.document — Name of master database file for resolving olinks

## Synopsis

     <xsl:param name="target.database.document">olinkdb.xml</xsl:param>

## Description

To resolve olinks between documents, the stylesheets use a master database document that identifies the target datafiles for all the documents within the scope of the olinks. This parameter value is the URI of the master document to be read during processing to resolve olinks. The default value is `olinkdb.xml`.

The data structure of the file is defined in the `targetdatabase.dtd` DTD. The database file provides the high level elements to record the identifiers, locations, and relationships of documents. The cross reference data for individual documents is generally pulled into the database using system entity references or XIncludes. See also `targets.filename`.

Prev | Up | Next
prefer.internal.olink | Home | targets.filename